org.apache.pdfbox.preflight.exception

## Class ValidationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.pdfbox.preflight.exception.ValidationException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ContentStreamException, MissingValidationProcessException, SyntaxValidationException

    public class ValidationException
    extends IOException

See Also:
  Serialized Form

### Field Summary

Fields
`protected Integer` `pageNumber`

### Constructor Summary

Constructors
Constructor and Description
`ValidationException(String message)`
`ValidationException(String message, Throwable cause)`
`ValidationException(String message, Throwable cause, Integer pageNumber)`
`ValidationException(Throwable cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Integer` `getPageNumber()` Returns the page number related to the exception, or null if not known.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### pageNumber

    protected Integer pageNumber

### Constructor Detail

#### ValidationException

    public ValidationException(String message,
                               Throwable cause,
                               Integer pageNumber)

#### ValidationException

    public ValidationException(String message,
                               Throwable cause)

#### ValidationException

    public ValidationException(String message)

#### ValidationException

    public ValidationException(Throwable cause)

### Method Detail

#### getPageNumber

    public Integer getPageNumber()

Returns the page number related to the exception, or null if not known.